using System;

namespace Example4
{
    /// <summary>
    /// This will read the serial number of a single SmartDongle.
    ///
    /// MicroWorks, Inc.
    /// 2808 North Cole Road
    /// Boise, ID 83704
    ///
    /// http://www.smartdongle.com
    ///
    /// </summary>
    class Example4
    {
        [STAThread]

        static void Main(string[] args)
        {
            SmartDongle.SmartDnglError error;
            System.Text.ASCIIEncoding  encoding = new System.Text.ASCIIEncoding();

            /* Get SmartDongle serial number byte array */
            string serialNumber = new string('0', SmartDongle.CP2_SERIALNUM_LENGTH);

            error = SmartDongle.GetSerialNumber(ref serialNumber);
            if (error != SmartDongle.SmartDnglError.UskOk)
            {
                System.Console.WriteLine(SmartDongle.GetErrorString(error));

                // handle error
            }
            else
            {
                System.Console.WriteLine("Serial Number: {0:G}\n", serialNumber);
            }

            System.Console.WriteLine("Press <Enter> to Exit");
            System.Console.ReadLine();
        }
    }
}

